/***************************************************************************
                          channelslistdlg.ui.h  -  description
                             -------------------
    begin                : Mon Oct 16 21:13:07 EST 2006
    copyright            : (C) 2004-2007 by Sergey Litvinov
    email                : linch@adsl.by
 ***************************************************************************/

/***************************************************************************
 *                                                                         					   *
 *   This program is free software; you can redistribute it and/or modify  		   	   *
 *   it under the terms of the GNU General Public License as published by  		   *
 *   the Free Software Foundation; either version 2 of the License, or     			   *
 *   (at your option) any later version.                                   				   *
 *                                                                         					   *
 ***************************************************************************/

void ChannelsListDlg::add(const QString &chn)
{
    if (!chn.isEmpty())
    {
	QString tmp = chn[0] == '#' ? chn : "#" + chn;
	if (chlistView->findItem(tmp) == 0) chlistView->insertItem(tmp);
    }
}

void ChannelsListDlg::add(const QStringList &list)
{
    for (QStringList::ConstIterator it = list.constBegin(); it != list.constEnd(); ++it)
	add(*it);
}

void ChannelsListDlg::RefreshButton_clicked()
{
    chlistView->clear();
    emit refresh();
}

void ChannelsListDlg::JoinButton_clicked()
{
    for (uint i = 0; i < chlistView->count(); i++)
	if (chlistView->isSelected(i))
	    emit join(chlistView->text(i));
}
