#include "icons.h"
#include "global.h"

QIconSet Icons::icon_common;
QIconSet Icons::icon_user_dnd;
QIconSet Icons::icon_user_away;
QIconSet Icons::icon_user_offline;
QIconSet Icons::icon_channel_normal;
QIconSet Icons::icon_channel_alert;
QIconSet Icons::icon_board_normal;
QIconSet Icons::icon_board_alert;
QIconSet Icons::icon_private;
QIconSet Icons::icon_private_alert;
QIconSet Icons::icon_info;
QIconSet Icons::icon_message;
QIconSet Icons::icon_massmessage;
QIconSet Icons::icon_settings;
QIconSet Icons::icon_beep;
QIconSet Icons::icon_saynick;
QIconSet Icons::icon_find;
QIconSet Icons::icon_send;
QIconSet Icons::icon_refresh;
QIconSet Icons::icon_about;
QIconSet Icons::icon_exit;
QIconSet Icons::icon_save;
QIconSet Icons::icon_saveas;
QIconSet Icons::icon_copy;
QIconSet Icons::icon_clear;
QIconSet Icons::icon_leave;
QIconSet Icons::icon_traynotify;
QIconSet Icons::icon_smile;
QIconSet Icons::icon_paste;
QIconSet Icons::icon_cut;

bool Icons::loadIcons()
{
	QIconSet::setIconSize(QIconSet::Small, QSize(16,16));
	
	QString iconpath = QString(DATADIR) + "gfx/";
	icon_common = QIconSet(QPixmap(iconpath + "mail.png"));
	icon_user_dnd = QIconSet(QPixmap(iconpath + "userdnd.png"));
	icon_user_away = QIconSet(QPixmap(iconpath + "useraway.png"));
	icon_user_offline = QIconSet(QPixmap(iconpath + "useroffline.png"));
	icon_channel_normal = QIconSet(QPixmap(iconpath + "chnlnormal.png"));
	icon_channel_alert = QIconSet(QPixmap(iconpath + "chnlalert.png"));
	icon_board_normal = QIconSet(QPixmap(iconpath + "boardnormal.png"));
	icon_board_alert = QIconSet(QPixmap(iconpath + "boardalert.png"));
	icon_private = QIconSet(QPixmap(iconpath + "prvnormal.png"));
	icon_private_alert = QIconSet(QPixmap(iconpath + "prvalert.png"));
	icon_info = QIconSet(QPixmap(iconpath + "info.png"));
	icon_message = QIconSet(QPixmap(iconpath + "message.png"));
	icon_massmessage = QIconSet(QPixmap(iconpath + "massmessage.png"));
	icon_settings = QIconSet(QPixmap(iconpath + "settings.png"));
	icon_beep = QIconSet(QPixmap(iconpath + "beep.png"));
	icon_saynick = QIconSet(QPixmap(iconpath + "saynick.png"));
	icon_find = QIconSet(QPixmap(iconpath + "find.png"));
	icon_send = QIconSet(QPixmap(iconpath + "send.png"));
	icon_refresh = QIconSet(QPixmap(iconpath + "refresh.png"));
	icon_about = QIconSet(QPixmap(iconpath + "about.png"));
	icon_exit = QIconSet(QPixmap(iconpath + "exit.png"));
	icon_save = QIconSet(QPixmap(iconpath + "save.png"));
	icon_saveas = QIconSet(QPixmap(iconpath + "saveas.png"));
	icon_copy = QIconSet(QPixmap(iconpath + "copy.png"));
	icon_clear = QIconSet(QPixmap(iconpath + "clear.png"));
	icon_leave = QIconSet(QPixmap(iconpath + "leave.png"));
	icon_traynotify = QIconSet(QPixmap(iconpath + "trayntfy.png"));
	icon_smile = QIconSet(QPixmap(iconpath + "smiletris.png"));
	icon_paste = QIconSet(QPixmap(iconpath + "editpaste.png"));
	icon_cut = QIconSet(QPixmap(iconpath + "editcut.png"));
	
	if (icon_common.isNull() ||
	    icon_user_dnd.isNull() ||
	    icon_user_away.isNull() ||
	    icon_user_offline.isNull() ||
	    icon_channel_normal.isNull() ||
	    icon_channel_alert.isNull() ||
	    icon_board_normal.isNull() ||
	    icon_board_alert.isNull() ||
	    icon_private.isNull() ||
	    icon_private_alert.isNull() ||
	    icon_info.isNull() ||
	    icon_message.isNull() ||
	    icon_massmessage.isNull() ||
	    icon_settings.isNull() ||
	    icon_saynick.isNull() ||
	    icon_find.isNull() ||
	    icon_send.isNull() ||
	    icon_refresh.isNull() ||
	    icon_about.isNull() ||
	    icon_exit.isNull() ||
	    icon_save.isNull() ||
	    icon_saveas.isNull() ||
	    icon_clear.isNull() ||
	    icon_leave.isNull() ||
	    icon_copy.isNull() ||
	    icon_traynotify.isNull() ||
	    icon_beep.isNull() ||
	    icon_paste.isNull() ||
	    icon_cut.isNull() ||
	    icon_smile.isNull())
	{
		// error
		return false;
	}
	return true;
}

QIconSet& Icons::getIcon(int i)
{
    return icon_common;
}
