#ifndef __TOPIC_H
#define __TOPIC_H

#include <qwidget.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QLineEdit;
class QPushButton;

class TopicForm: public QWidget
{
	Q_OBJECT
		
	private:
		QLineEdit *topicline;
		QPushButton *b_change;
		QPushButton *b_cancel;
		QString channel;
	    protected:
		QVBoxLayout* l1;
		QHBoxLayout* l2;
		QSpacerItem* s1;
	
	signals:
		void change(const QString &, const QString &topic);
		
	protected slots:
		virtual void accept();

	public:
		TopicForm(QWidget *parent, const QString &name, const QString &channel, const QString &topic);
		~TopicForm();
};

#endif

