#ifndef __BOARDMSG_H
#define __BOARDMSG_H

class BoardMsg
{
	private:
	    Q_UINT32 bsize, bid, m2;
	    Q_UINT16 p, m1;
	    QString ath, tpc, txt, uid, pdt, ptm, edt, etm, ipaddr, sn;

	public:
	    BoardMsg()
	    {  }
	    BoardMsg(Q_UINT16 bs, const QString &a, const QString &tp, const QString &t, const QString &u, const QString &pd, const QString &pt, Q_UINT16 mag1, const QString &ed,  const QString &et, Q_UINT32 mag2, Q_UINT16 prt, const QString &i, const QString &s, Q_UINT32 d):bsize(bs), ath(a), tpc(tp), txt(t), uid(u), pdt(pd), ptm(pt), m1(mag1), edt(ed), etm(et), m2(mag2), p(prt), ipaddr(i), sn(s), bid(d)
	    {  }
	    Q_UINT16 port() { return p; }
	    Q_UINT16 magic1() { return m1; }
	    Q_UINT32 magic2() { return m2; }
	    Q_UINT32 size() const { return bsize; }
	    Q_UINT32 id() { return bid; }
	    const QString author() { return ath; }
	    const QString topic() { return tpc; }
	    const QString text() { return txt; }
	    const QString uuid() { return uid; }
	    const QString pdate() { return pdt; }
	    const QString ptime() { return ptm; }
	    const QString edate() { return edt; }
	    const QString etime() { return etm; }
	    const QString ip() { return ipaddr; }
	    const QString sign() { return sn; }
};

#endif
