/****************************************************************************
** Form interface generated from reading ui file 'mainform.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef MAINFORM_H
#define MAINFORM_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qmainwindow.h>
#include <qhostaddress.h>
#include <qprocess.h>
#include <qmap.h>
#include <chatcmd.h>
#include "xxxprotocol.h"
#include "global.h"
#include "settings.h"
#include "icons.h"
#include "logs.h"
#include "channelslistdlg.h"
#include "crypto.h"
#include "conversions.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QAction;
class QActionGroup;
class QToolBar;
class QPopupMenu;
class UsersList;
class ChatTab;
class ChatLine;
class QSplitter;
class QFrame;
class QLabel;
class QLineEdit;
class QPushButton;
class TrayIcon;
typedef QMap<QString, QString> NicksMap;
typedef QValueList<ChatCmd> CmdList;
class ChatDlg;
class UserInfoDlg;
typedef QMap<QString, int> BItemMap;

class MainForm : public QMainWindow
{
    Q_OBJECT

public:
    MainForm( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    ~MainForm();

    QSplitter* mainsplitter;
    ChatTab* chattab;
    QFrame* rightframe;
    QLabel* textLabel1;
    QLineEdit* nickedit;
    QPushButton* nickbutton;
    UsersList* userslist;
    ChatLine* chatline;
    QMenuBar *MenuBar;
    QPopupMenu *Chat;
    QPopupMenu *popupMenu;
    QPopupMenu *Edit;
    QPopupMenu *Options;
    QPopupMenu *Help;
    QAction* chatModeAction;
    QAction* chatModeNormalAction;
    QAction* chatModeDNDAction;
    QAction* chatModeAwayAction;
    QAction* chatExitAction;
    QAction* AboutAction;
    QAction* optionsPreferencesAction;
    QAction* chatModeOfflineAction;
    QAction* chatLogsAction;
    QAction* editMultilineAction;
    QAction* chatChange_topicAction;
    QAction* chatChannels_listAction;
    QAction* editClear_chatAction;
    QAction* editClear_lineAction;
    QAction* Action;

    virtual const QString nowplaying();
    virtual const QString timestring();
    virtual const QString datestring();
    virtual QString qtparse( const QString & n );
    virtual QString urlenc( const QString & n );
    void msgparse( QString & msg );
    virtual QString fullAutoAnswer();
    virtual bool cmdparse( const QString & line );
    virtual ChatDlg * findChatDlg( const QString & uid );
    virtual UserInfoDlg * findInfoDlg( const QString & uid );
    virtual ChatDlg * addChatDlg( const QString & unick, const QString & uid );
    virtual UserInfoDlg * addInfoDlg( const QString & uid );
    virtual bool delChatDlg( const QString & uid );
    virtual bool delInfoDlg( const QString & uid );
    virtual QString getParam( const QString & sep, const QString & bigstr, uint & pos );
    virtual QString parseBoard( const QString & bigstr );
    QString getNick( const QHostAddress & addr );
    virtual QString getDownloadPath();
    virtual bool getAcceptWOPrompt();
    virtual int getMaxAvatarSize();
    virtual char getLocalStatus();
    virtual char getLocalGender();
    virtual const QString & getLocalNick();
    virtual QString getLocalAnswer();
    virtual QString getLocalFile();
    virtual QString getUserAvatar( const QString & name );
    virtual QString getAvatarFile( const QString & a );
    virtual QString getLocalAvatar();

public slots:
    virtual void AboutSlot();
    virtual void setup( Settings * s );
    virtual void greeting();
    virtual void actTimerEvent();
    virtual void incAwayTimer();
    virtual void setupNicksMenu();
    virtual void nicksMenuAction( int opt );
    virtual void updateNicksMenu();
    virtual void setupSystray();
    virtual void systrayClicked();
    virtual void setupToolTips();
    virtual void hideEvent( QHideEvent * event );
    virtual void showEvent( QShowEvent * event );
    virtual void windowActivationChange( bool oldActive );
    virtual void finishSession();
    virtual void closeSlot();
    virtual void saveSettings();
    virtual void closeEvent( QCloseEvent * event );
    virtual void on_chattab_keypressed( const QString & s );
    virtual void on_linkClicked( const QString & str, const QString & chn );
    virtual void beep( const QString & to );
    virtual void sendLine();
    virtual void addToTrayToolTip( const QString & tt );
    virtual void traynotify();
    virtual void openAvatarsPage();
    virtual void PreferencesSlot();
    virtual void openPreferences( int page );
    virtual void applySettingsSlot( bool c );
    virtual void restoreGeometry();
    virtual void loadSettings();
    virtual void openBoard();
    virtual void closeBoard();
    virtual void on_xxx_say( const QString & channel, const QString & from, const QString & text );
    virtual void on_xxx_me( const QString & channel, const QString & from, const QString & text );
    virtual void on_xxx_whohere( const QHostAddress & source, const QString & updater );
    virtual void on_xxx_imhere( const QHostAddress & source, const QString & updater, const QString & responder, char stat, char ractive );
    virtual void on_xxx_imhere( const QHostAddress & source, const QString & updater, const QString & responder, char stat, char ractive, char gend, const QString & cname, const QString & fname, const QString & bids );
    virtual void checkAvatar( const QHostAddress & source, const QString & fname );
    virtual void on_xxx_join( const QHostAddress & source, const QString & who, const QString & channel, char stat, char gend, const QString & cname, char icon, const QString & fname, const QString & bids );
    virtual void on_xxx_join( const QHostAddress & source, const QString & who, const QString & channel, char stat, char gend );
    virtual void on_xxx_leave( const QString & who, const QString & channel, char gend );
    virtual void on_xxx_private_join( const QString & from, const QString & to, char gend );
    virtual void on_xxx_private_leave( const QString & from, const QString & to, char gend );
    virtual void on_xxx_private_say( const QString & from, const QString & to, const QString & text );
    virtual void on_xxx_private_me( const QString & from, const QString & to, const QString & text );
    virtual void findlinks( QString & msg, const QString & substr, const QString & rgs, const QString & type );
    virtual void showMessage( const QString & from, const QString & text, bool mass );
    virtual void on_xxx_message( const QHostAddress & source, const QCString & sig, const QString & from, const QString & to, const QString & text );
    virtual void on_xxx_massmessage( const QHostAddress & source, const QCString & sig, const QString & from, const QString & to, const QString & text );
    virtual void showOnChannel( const QString & text, const QString & from );
    virtual void tcpPvtMsgReceived( const QString & from, const QString & text );
    virtual void on_xxx_hereack( const QString & to, const QString & channel, const QString & from, char ra );
    virtual void on_xxx_messageack( char stat, const QString & to, const QString & from, char gend, const QString & answer );
    virtual void on_xxx_messageack( const QCString & sig, char stat, const QString & to, const QString & from, char gend, const QString & answer );
    virtual void on_xxx_herereq( const QHostAddress & source, const QString & from, const QString & channel );
    virtual void on_xxx_inforeq( const QHostAddress & source, const QString & to, const QString & from );
    virtual void on_xxx_inforeqack( const QHostAddress & source, const QString & to, const QString & from, const QString & hostname, const QString & name, const QString & ip, const QString & channels, const QString & answer, const QString & os, const QString & domain, const QString & software, bool utf, const QString & fullname, const QString & occupation, const QString & department, const QString & phone, const QString & mobile, const QString & homepage, const QString & email, const QString & address );
    virtual void photoRefresh( const QString & name );
    virtual void on_xxx_changeactive( const QString & from, char ractive );
    virtual void on_xxx_reqchannels( const QHostAddress & addr, const QString & from );
    virtual void on_xxx_reqchannelsack( const QHostAddress & addr, const QString & from, const QString & channels );
    virtual void on_xxx_nickchange( const QString & from, const QString & to, char gend );
    virtual void on_xxx_avatarchange( const QString & from, const QString & fname, char gend );
    virtual void on_xxx_avatarrequest( const QHostAddress & addr, const QString & fname );
    virtual void on_xxx_beep( const QHostAddress & source, const QString & to, const QString & from );
    virtual void on_xxx_beepack( const QString & to, const QString & from, char gend );
    virtual void on_xxx_changestatus( const QString & uid, const QString & who, char stat, char gend, const QString & answer );
    virtual void on_xxx_currenttopic( const QHostAddress & source, const QString & to, const QString & channel, const QString & topic );
    virtual void on_xxx_newtopic( const QHostAddress & source, const QString & channel, const QString & topic );
    virtual void on_xxx_ping( const QHostAddress & source, const QString & to, const QString & from, const QString & time, const QCString & bids );
    virtual void addBoardMsg( const QHostAddress & source, const QString & bids );
    virtual void on_xxx_pong( const QHostAddress & source, const QString & to, const QString & from, const QString & time, const QCString & bids );
    virtual void on_xxx_floodnotify( const QString & to, const QString & from, const QString & seconds );
    virtual void on_xxx_whohereneeded( const QHostAddress & source );
    virtual void on_userslistPingRequest( const QString & name );
    virtual void on_userslistWhohereRequest( const QString & name );
    virtual void on_userslistDeleteRequest( const QString & name );
    virtual void procTerminate();
    virtual void procDataReady();
    virtual void sendChatMessage( const QString & uid, const QString & unick, const QString & text );
    virtual void closeInfoDlg( const QString & uid );
    virtual void closeChatDlg( const QString & uid );
    virtual void openPrivateChatDlg( const QString & unick );
    virtual void onUsersListDoubleClicked( const QString & unick );
    void openSendMessage( const QString & to, const QString & text );
    void openSendMassMessage();
    void openSendMassMessageSelected( const QStringList & nicks );
    virtual void openHistory( const QString & from );
    void sendMessage( const QStringList & nicks, const QString & msg );
    void forceRefresh();
    void requestInfo( const QString & who );
    void filesendSlot( const QString & to );
    virtual void filesSend( const QString & receiver, const QStringList & filesnames, const QString & descr );
    void findByIPSlot();
    void findHost( const QString & ip );
    void updateCaptionSlot();
    virtual void boardActivated();
    virtual void boardDisactivated();
    virtual void saveChatLine( const QString & chn );
    virtual void loadChatLine( const QString & chn );
    void usersListUpdate();
    void changeNick( const QString & newnick );
    virtual void changeAvatar( const QString & fname );
    virtual void imhereToAll();
    void joinChannel( const QString & channel );
    void leaveChannel( const QString & channel );
    void goNORMAL();
    void goDND();
    void DNDStatus( const QString & answer );
    void goAWAY();
    void AwayStatus( const QString & answer );
    void goOFFLINE();
    void OfflineStatus( const QString & answer );
    virtual void onChannelDoubleClicked( const QString & chn, int para, int pos );
    virtual void changeTopic();
    virtual void on_editPersonal();
    virtual void savePersonal( const QString & fn, const QString & occ, const QString & dep, const QString & ph, const QString & mb, const QString & hp, const QString & em, const QString & addr );
    void on_clearTopic( const QString & channel );
    void newTopic( const QString & channel, const QString & txt );
    void openPrivate( const QString & who );
    virtual void nickedit_returnPressed();
    virtual void nickbutton_clicked();
    virtual void toggleMultiLine();
    virtual void mouseMoveEvent( QMouseEvent * e );
    virtual void resetActivityTimer( const QHostAddress & addr );
    virtual void resetAwayTimer();
    virtual void tcpFileRecvFinished( const QString & from, const QString & fname );
    virtual void httpFileRecvFinished( const QString & uid, const QString & fname );
    virtual void tcpAvatarRecvFinished( const QString & from, const QString & fname );
    virtual void tcpFileSendFinished( const QString & to, const QString & fname );
    virtual void tcpRecvChatMessage( const QHostAddress & addr, const QString & text );
    virtual void tcpChatSessionEstablished( const QString & uid );
    virtual void tcpCloseChatSession( const QString & uid );
    virtual void tcpRecvTypingMode( const QString & uid, uint tmode );
    virtual void updateBoard();
    virtual void imgParse( QString & str );
    virtual void releaseBoardImgLock();
    virtual void openChannelsList();
    virtual void refreshChList();
    virtual void editClear_chatAction_activated();
    virtual void editClear_lineAction_activated();
    virtual void boardMsgUpdated( const QHostAddress & source, const QString & uid, Q_UINT32 id );
    virtual void boardMsgDeleted( const QHostAddress & source, const QString & uid, Q_UINT32 id );
    virtual void tcpMessageACKReceived( const QString & from, const QString & answer, char stat );
    virtual void updateServiceMenu();
    virtual void on_xxx_sendtoprocess( const QHostAddress & source, const QString & uid, const QString & fn );
    virtual void setLocalAutoanswerInToolTip();
    virtual void addToBoard( BoardMsg * bmsg );
    virtual void releaseBoardLock();
    virtual void requestMissed( const QHostAddress & source );

protected:
    QVBoxLayout* MainFormLayout;
    QVBoxLayout* rightframeLayout;
    QHBoxLayout* layout45;

protected slots:
    virtual void languageChange();

    void reconfigureNetwork();


private:
    CmdList cmdlist;
    NicksMap nicksmap;
    int awaytimer;
    QTimer *acttimer;
    bool executing;
    QStringList traytooltip;
    Logs *log;
    QPopupMenu *systraymenu;
    TrayIcon *tray;
    QString userpixmap;
    QString autoanswer;
    int status;
    XXXProtocol *xxx;
    Settings *settings;
    QString tmp;
    ChannelsListDlg *availchannels;
    char gender;
    char winstate;
    QStringList status_lut, ractivity;
    bool exitreq;
    QIconSet trayicon;
    QPopupMenu *nicksmenu;
    QProcess *proc;
    bool onlylocal;
    bool autoaway;
    QStringList nickslist;
    QProcess *npproc;
    QString nick;
    QPopupMenu *systraymodemenu;
    QMap <QString, ChatDlg*> cdmap;
    QMap <QString, UserInfoDlg *> infomap;
    QString servicemenupath;
    bool smlocked;
    QTimer *smtimer;
    QTimer *updatetimer;
    Logs *board;
    QTimer *btimer;
    bool brlock;
    QStringList requested;
    bool hideownbmsgs;
    BItemMap bimap;
    QTimer *bimgtimer;
    bool bimglock;

    QPixmap image0;

private slots:
    void LogActionSlot();

};

#endif // MAINFORM_H
